public inbox for gcc-cvs@sourceware.org
help / color / mirror / Atom feed
* [gcc r13-6072] objs-gcc.sh: Only bootstrap if source-directory contains gcc
@ 2023-02-16  0:27 Hans-Peter Nilsson
  0 siblings, 0 replies; only message in thread
From: Hans-Peter Nilsson @ 2023-02-16  0:27 UTC (permalink / raw)
  To: gcc-cvs

https://gcc.gnu.org/g:384dedaf65db115e9795438d787bc8bd84bb6777

commit r13-6072-g384dedaf65db115e9795438d787bc8bd84bb6777
Author: Hans-Peter Nilsson <hp@axis.com>
Date:   Tue Feb 14 18:29:50 2023 +0100

    objs-gcc.sh: Only bootstrap if source-directory contains gcc
    
    I use objs-gcc.sh as a preparatory step before calling
    btest-gcc.sh in my scripts, for example my cris-elf
    autotester.  I thought, why not use it for native builds
    too.  Except that use, with binutils release-style tarballs
    and a x86_64-pc-linux-gnu host, was broken.  Now that I look
    at it, the script seems to have aged poorly...  Still,
    there's a need for such a script to install stuff needed for
    btest-gcc.sh (and to fix up stuff if needed), and this can
    still be that script.  So, I prefer to fix show-stoppers for
    common uses, while taking care to retain compatibility for
    use that could possibly still work, with current sources.
    
    A long time ago (before 2011, but after this script was
    created in 2002, and used for a few years), the binutils
    (and gdb and gcc) toplevel Makefile may have had a bootstrap
    target that worked with binutils but didn't require gcc
    sources to be present.  Now, you'll get an error (see
    configure.ac line 1366 and on).  Let's just build the
    default make-target when "bootstrap" is known to fail.
    An alternative would be to fold this native
    non-i686-pc-linux-gnu clause into the native
    i686-pc-linux-gnu clause, as that seems to have been
    originally intended as *the* single native clause, but
    that'd require further edits (e.g. to remove install-dejagnu
    and make gdb build conditional on gdb sources presence, to
    work with binutils tarballs, and I'd also then prefer to
    build not just ld, but also gas and binutils).
    
    As it's a minimal obvious change required for current native
    use with release-tarballs and git-checkout use(*), I'm
    installing this as obvious.
    
    *) Native i686-pc-linux-gnu remains broken for other use
    than specially constructed combined trees where dejagnu is
    included at the toplevel (i.e. historic Cygnus devo-type).
    
    contrib/regression:
            * objs-gcc.sh: Only bootstrap if source-directory contains gcc.

Diff:
---
 contrib/regression/objs-gcc.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/contrib/regression/objs-gcc.sh b/contrib/regression/objs-gcc.sh
index ea7820f33fa..d205bab1736 100755
--- a/contrib/regression/objs-gcc.sh
+++ b/contrib/regression/objs-gcc.sh
@@ -106,7 +106,9 @@ if [ $H_REAL_TARGET = $H_REAL_HOST -a $H_REAL_TARGET = i686-pc-linux-gnu ]
   make all-gdb all-dejagnu all-ld || exit 1
   make install-gdb install-dejagnu install-ld || exit 1
 elif [ $H_REAL_TARGET = $H_REAL_HOST ] ; then
-  make bootstrap || exit 1
+  H_MAKE_TARGET=
+  test -f $SOURCE/gcc/configure && H_MAKE_TARGET=bootstrap
+  make $H_MAKE_TARGET || exit 1
   make install || exit 1
 else
   make || exit 1

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2023-02-16  0:27 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2023-02-16  0:27 [gcc r13-6072] objs-gcc.sh: Only bootstrap if source-directory contains gcc Hans-Peter Nilsson

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).